lappend auto_path [pwd]
package require vnc

set VNCSERV [lindex $argv 0]
if {[string length $VNCSERV] <= 0} {
    puts stderr "need VNC server name to connect to"
    exit 1
}
set VNCPASS [lindex $argv 1]

proc show_info {aset} {
    array set info $aset
    if {$info(connected)} {
	wm title . $info(desktop)
    } else {
	wm title . "DISCONNECTED"
    }
}

frame .but
pack .but -side top
button .but.conn -text "CONN" -command {.v.v connect $VNCSERV $VNCPASS}
button .but.disc -text "DISC" -command {.v.v disconnect}
pack .but.conn .but.disc -side left


frame .v
pack .v -expand 1 -fill both -side top

vnc .v.v -relief sunken -bd 3 -highlightthickness 1  \
    -yscrollcommand {.v.y set} -xscrollcommand {.v.x set} \
    -infocommand show_info
grid .v.v -row 0 -column 0 -sticky news

grid rowconfigure .v 0 -weight 1
grid columnconfigure .v 0 -weight 1

scrollbar .v.y -orient vertical -command {.v.v yview}
grid .v.y -row 0 -column 1 -sticky ns
scrollbar .v.x -orient horizontal -command {.v.v xview}
grid .v.x -row 1 -column 0 -sticky ew

