lappend auto_path [pwd]
package require vnc

set VNCSERV [lindex $argv 0]
if {[string length $VNCSERV] <= 0} {
    puts stderr "need VNC server name to connect to"
    exit 1
}
set VNCPASS [lindex $argv 1]

proc show_info {w aset} {
    array set info $aset
    if {$info(connected)} {
	$w.but.conn configure -state disabled
	$w.but.disc configure -state normal
    } else {
	$w.but.conn configure -state normal
	$w.but.disc configure -state disabled
    }
}

foreach {w x y} {
    .w0 0 0 .w1 0 1 .w2 1 0 .w3 1 1
} {

    frame $w
    frame $w.but
    pack $w.but -side top
    button $w.but.conn -text "CONN" \
	-command [list $w.v.v connect $VNCSERV $VNCPASS]
    button $w.but.disc -text "DISC" \
	-command [list $w.v.v disconnect]
    pack $w.but.conn $w.but.disc -side left

    frame $w.v
    pack $w.v -expand 1 -fill both -side top

    vnc $w.v.v -relief sunken -bd 3 -highlightthickness 1  \
	-yscrollcommand [list $w.v.y set] \
	-xscrollcommand [list $w.v.x set] \
	-infocommand [list show_info $w]
    grid $w.v.v -row 0 -column 0 -sticky news

    grid rowconfigure $w.v 0 -weight 1
    grid columnconfigure $w.v 0 -weight 1

    scrollbar $w.v.y -orient vertical -command [list $w.v.v yview]
    grid $w.v.y -row 0 -column 1 -sticky ns
    scrollbar $w.v.x -orient horizontal -command [list $w.v.v xview]
    grid $w.v.x -row 1 -column 0 -sticky ew

    grid $w -row $x -column $y -sticky news

}

grid rowconfigure . 0 -weight 1 -uniform rows
grid rowconfigure . 1 -weight 1 -uniform rows
grid columnconfigure . 0 -weight 1 -uniform cols
grid columnconfigure . 1 -weight 1 -uniform cols


